Bug 441806 - Coredump in _cairo_cache_destroy
Coredump in _cairo_cache_destroy
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-10 05:21 EDT by Zdenek Kabelac
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-16 08:46:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2008-04-10 05:21:12 EDT
Description of problem:

Really unstable release

Version-Release number of selected component (if applicable):
firefox-3.0-0.53.beta5.fc9.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Core was generated by `/usr/lib64/firefox-3.0b5/firefox'.
Program terminated with signal 11, Segmentation fault.
[New process 4131]
#0  0x000000371600efcb in raise () from /lib64/libpthread.so.0
Missing separate debuginfos, use: debuginfo-install GConf2.x86_64 ORBit2.x86_64
acl.x86_64 alsa-lib.x86_64 atk.x86_64 attr.x86_64 audiofile.x86_64 avahi.x86_64
bug-buddy.x86_64 bzip2.x86_64 dbus-glib.x86_64 dbus.x86_64 e2fsprogs.x86_64
elfutils.x86_64 esound.x86_64 expat.x86_64 fontconfig.x86_64 freetype.x86_64
gail.x86_64 gamin.x86_64 gcc.x86_64 glib2.x86_64 glibc.x86_64
gnome-keyring.x86_64 gnome-vfs2.x86_64 gtk2-engines.x86_64 hunspell.x86_64
keyutils.x86_64 krb5.x86_64 lcms.x86_64 libICE.x86_64 libSM.x86_64
libXScrnSaver.x86_64 libXau.x86_64 libXcomposite.x86_64 libXcursor.x86_64
libXdmcp.x86_64 libXext.x86_64 libXfixes.x86_64 libXft.x86_64 libXi.x86_64
libXinerama.x86_64 libXrandr.x86_64 libXrender.x86_64 libXt.x86_64
libart_lgpl.x86_64 libbonobo.x86_64 libbonoboui.x86_64 libcap.x86_64
libcroco.x86_64 libgnome.x86_64 libgnomecanvas.x86_64 libgnomeui.x86_64
libgsf.x86_64 libjpeg.x86_64 libpng.x86_64 librsvg2.x86_64 libselinux.x86_64
libxcb.x86_64 libxml2.x86_64 nspr.x86_64 nss.x86_64 openssl.x86_64 pango.x86_64
pixman.x86_64 popt.x86_64 sqlite.x86_64 startup-notification.x86_64 zlib.x86_64
(gdb) bt
#0  0x000000371600efcb in raise () from /lib64/libpthread.so.0
#1  0x00007f498a6f7c6d in nsProfileLock::FatalSignalHandler (signo=<value
optimized out>) at nsProfileLock.cpp:212
#2  <signal handler called>
#3  0x0000000006e81a80 in ?? ()
#4  0x00007f498af65fab in _cairo_cache_destroy (cache=<value optimized out>) at
cairo-cache.c:83
#5  0x00007f498af45ae0 in _cairo_scaled_font_reset_cache (scaled_font=<value
optimized out>) at cairo-scaled-font.c:539
#6  0x00007f498af5a98b in _cairo_xlib_surface_remove_scaled_font (dpy=<value
optimized out>, data=<value optimized out>)
    at cairo-xlib-surface.c:2479
#7  0x00007f498af5f182 in _cairo_xlib_close_display (dpy=<value optimized out>,
codes=<value optimized out>)
    at cairo-xlib-display.c:91
#8  0x0000003717c1f892 in XCloseDisplay (dpy=<value optimized out>) at
ClDisplay.c:71
#9  0x00007f49892a6c1d in gdk_display_x11_finalize (object=Could not find the
frame base for "gdk_display_x11_finalize".
) at gdkdisplay-x11.c:832
#10 0x00007f498a07a6a8 in g_object_unref () from /lib64/libgobject-2.0.so.0
#11 0x00007f498927ba47 in IA__gdk_display_close (display=Could not find the
frame base for "IA__gdk_display_close".
) at gdkdisplay.c:188
#12 0x00007f498a6f2351 in XRE_main (argc=<value optimized out>, argv=<value
optimized out>, aAppData=<value optimized out>)
    at nsAppRunner.cpp:3264
#13 0x0000000000401665 in __gxx_personality_v0 ()
#14 0x000000371541e40a in __libc_start_main () from /lib64/libc.so.6
#15 0x0000000000401159 in __gxx_personality_v0 ()
#16 0x00007fff93a77e18 in ?? ()
#17 0x000000000000001c in ?? ()
#18 0x0000000000000001 in ?? ()
#19 0x00007fff93a786e5 in ?? ()
#20 0x0000000000000000 in ?? ()
Comment 1 Matěj Cepl 2008-04-10 12:44:54 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please install firefox-debuginfo; in order to do this you have to enable
-debuginfo repository.

	yum install --enablerepo=\*debuginfo firefox-debuginfo

(if you use x86_64 firefox, install firefox-debuginfo.x86_64  package).

Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then use command run and do whatever you did to make firefox
crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2008-04-15 11:48:34 EDT
New firefox (0.54.beta5.fc9) uses system cairo, so we would need your restesting
all these bugs. Are you able to reproduce these bugs and could you attach new
backtraces, please, if yes.
Comment 3 Matěj Cepl 2008-04-16 08:46:13 EDT
Because it apparently is not possible to reproduce this bug in a predicable
manner, we are closing this as INSUFFICIENT_DATA. If you can tell us how to
reproduce this, please reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.